{% extends "niveau.html" %}

{% set niveau = 1 %}

{% block head %}
{{ super() }}
<style type="text/css">
  .button {
      color: rgb(176, 176, 176);
      text-shadow: 0.1vw 0.1vw 0.2vw rgb(80, 80, 80);
      font-size: 5vw;
      background: rgba(0,0,0,0);
      border: 0px;
      padding: 0px;
      border-radius: 0px;
      cursor: pointer;
  }
  .button:active, .button.active {
      text-shadow: none;
      outline: none;
  }
</style>
{% endblock %}

{% block instructions_niveau %}
Essayez d'atteindre la sortie du labyrinthe à l'aide du clavier ou des
flèches directionnelles.
{% endblock %}

{% block control %}
{{ super() }}
<div id="control0" style="height: 100%; display: flex; flex-direction: column;
  justify-content: center;">
  <div id="control1" style="">
    <div id="control2" style="display: grid;
                                   grid-template-columns: 1fr 1fr;
                                   grid-gap: 0px;
                                   text-align: center;">
      <div style="grid-column: 1 / 3; grid-row: 1;">
        <button id="btn_up" class="button">
          <i class="fas fa-chevron-circle-up"></i>
        </button>
      </div>
      <div style="grid-column: 1;
                  grid-row: 2;
                  text-align: right;
                  padding-right: 4vw;">
        <button id="btn_left" class="button">
          <i class="fas fa-chevron-circle-left"></i>
        </button>
      </div>
      <div style="grid-column: 2;
                  grid-row: 2;
                  text-align: left;
                  padding-left: 4vw;">
        <button id="btn_right" class="button">
          <i class="fas fa-chevron-circle-right"></i>
        </button>
      </div>
      <div style="grid-column: 1 / 3; grid-row: 3;">
        <button id="btn_down" class="button">
          <i class="fas fa-chevron-circle-down"></i>
        </button>
      </div>
    </div>
  </div>
</div>
{% endblock %}
